Inhalte

# Operator Imp

Führt eine logische Implikationsverknüpfung zwischen zwei Ausdrücken durch.

## Syntax:

    Ergebnis = Ausdruck1 Imp Ausdruck2

## Parameter:

Ergebnis: Eine beliebige numerische Variable, die das Ergebnis der Verknüpfung aufnimmt.

Ausdruck1, Ausdruck2: Beliebige mit dem Operator Imp auszuwertende Ausdrücke.

Wenn Sie den Imp-Operator in booleschen Ausdrücken verwenden, wird nur dann der Wert "False" zurückgegeben, wenn der erste Ausdruck als "True" und der zweite als "False" ausgewertet wird.

Bei der Verwendung des Imp-Operators in Bitausdrücken wird ein Bit aus dem Ergebnis gelöscht, wenn das entsprechende Bit im ersten Ausdruck gesetzt und im zweiten Ausdruck nicht gesetzt ist.

## Beispiel:

    Sub ExampleImp
    Dim A As Variant, B As Variant, C As Variant, D As Variant
    Dim vOut As Variant
        A = 10: B = 8: C = 6: D = Null
        vOut = A > B Imp B > C ' Liefert -1 zurück
        vOut = B > A Imp B > C ' Liefert -1 zurück
        vOut = A > B Imp B > D ' Liefert 0 zurück
        vOut = (B > D Imp B > A) ' Liefert -1 zurück
        vOut = B Imp A ' Liefert -1 zurück
    End Sub